Mono.Data.Sqlite 4.0.0.0 System.Data.Common.DbParameterCollection System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBParametersEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.ListBindable(false) SQLite implementation of DbParameterCollection. To be added.
- Method
  4.0.0.0
  System.Int32 `` The parameter to add Adds a parameter to the collection A zero-based index of where the parameter is located in the array To be added.
- Method
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Int32 `` The parameter to add Adds a parameter to the collection A zero-based index of where the parameter is located in the array To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` `` The parameter name The data type Adds a parameter to the collection A SqliteParameter object To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` `` `` The parameter name The data type The size of the value Adds a parameter to the collection A SqliteParameter object To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` `` `` `` The parameter name The data type The size of the value The source column Adds a parameter to the collection A SqliteParameter object To be added.
- Method
  4.0.0.0
  System.Void `` The array of parameters to add Adds an array of parameters to the collection To be added.
- Method
  4.0.0.0
  System.Void `` The array of parameters to add Adds an array of parameters to the collection To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` `` Name of the parameter, or null to indicate an unnamed parameter The initial value of the parameter Adds a named/unnamed parameter and its value to the parameter collection. Returns the SqliteParameter object created during the call. To be added.
- Method
  4.0.0.0
  System.Void Clears the array and resets the collection To be added.
- Method
  4.0.0.0
  System.Boolean `` The SqliteParameter to check Determines if the parameter exists in the collection True if the parameter is in the collection To be added.
- Method
  4.0.0.0
  System.Boolean `` The name of the parameter to check Determines if the named parameter exists in the collection True if the parameter is in the collection To be added.
- Method
  4.0.0.0
  System.Void `` `` Not implemented To be added.
- Property
  4.0.0.0
  System.Int32 Returns a count of parameters in the collection To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator Retrieves an enumerator for the collection An enumerator for the underlying array To be added.
- Method
  4.0.0.0
  System.Data.Common.DbParameter `` The index of the parameter to retrieve Retrieves a parameter by its index in the collection A DbParameter object To be added.
- Method
  4.0.0.0
  System.Data.Common.DbParameter `` The name of the parameter to fetch Retrieve a parameter by name from the collection A DbParameter object To be added.
- Method
  4.0.0.0
  System.Int32 `` The parameter to find Returns the index of a parameter -1 if not found, otherwise a zero-based index of the parameter To be added.
- Method
  4.0.0.0
  System.Int32 `` The name of the parameter to find Returns the index of a parameter given its name -1 if not found, otherwise a zero-based index of the parameter To be added.
- Method
  4.0.0.0
  System.Void `` `` The zero-based index to insert the parameter at The parameter to insert Inserts a parameter into the array at the specified location To be added.
- Property
  4.0.0.0
  System.Boolean Returns false To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Returns false To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Returns true To be added. To be added.
- Property
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` The index of the parameter to get/set Overloaded to specialize the return value of the default indexer The specified SQLite parameter To be added.
- Property
  4.0.0.0
  Mono.Data.Sqlite.SqliteParameter `` Name of the parameter to get/set Overloaded to specialize the return value of the default indexer The specified named SQLite parameter To be added.
- Method
  4.0.0.0
  System.Void `` The parameter to remove Removes a parameter from the collection To be added.
- Method
  4.0.0.0
  System.Void `` The zero-based parameter index to remove Removes a parameter from the collection given its index To be added.
- Method
  4.0.0.0
  System.Void `` The name of the parameter to remove Removes a parameter from the collection given its name To be added.
- Method
  4.0.0.0
  System.Void `` `` The zero-based index of the parameter to replace The new parameter Re-assign a parameter at the specified index To be added.
- Method
  4.0.0.0
  System.Void `` `` The name of the parameter to replace The new parameter Re-assign the named parameter to a new parameter object To be added.
- Property
  4.0.0.0
  System.Object Returns null To be added. To be added.